## NMSettingWifiP2P

NMSettingWifiP2P — Describes connection properties for 802.11 Wi-Fi P2P networks

## Functions

NMSetting * | nm_setting_wifi_p2p_new ()
const char * | nm_setting_wifi_p2p_get_peer ()
NMSettingWirelessSecurityWpsMethod | nm_setting_wifi_p2p_get_wps_method ()
GBytes * | nm_setting_wifi_p2p_get_wfd_ies ()

## Types and Values

#define | NM_SETTING_WIFI_P2P_SETTING_NAME
#define | NM_SETTING_WIFI_P2P_PEER
#define | NM_SETTING_WIFI_P2P_WPS_METHOD
#define | NM_SETTING_WIFI_P2P_WFD_IES

## Description

The NMSettingWifiP2P object is a NMSetting subclass that describes properties necessary for connection to 802.11 Wi-Fi P2P networks (aka Wi-Fi Direct).

## Functions

### nm_setting_wifi_p2p_new ()

    NMSetting *
    nm_setting_wifi_p2p_new (void);

Creates a new NMSettingWifiP2P object with default values.

#### Returns

the new empty NMSettingWifiP2P object.

[transfer full]

Since: 1.16

### nm_setting_wifi_p2p_get_peer ()

    const char *
    nm_setting_wifi_p2p_get_peer (NMSettingWifiP2P *setting);

#### Parameters

setting | the NMSettingWifiP2P |

#### Returns

the “peer” property of the setting

Since: 1.16

### nm_setting_wifi_p2p_get_wps_method ()

    NMSettingWirelessSecurityWpsMethod
    nm_setting_wifi_p2p_get_wps_method (NMSettingWifiP2P *setting);

#### Parameters

setting | the NMSettingWifiP2P |

#### Returns

the “wps-method” property of the setting

Since: 1.16

### nm_setting_wifi_p2p_get_wfd_ies ()

    GBytes *
    nm_setting_wifi_p2p_get_wfd_ies (NMSettingWifiP2P *setting);

#### Parameters

setting | the NMSettingWiFiP2P |

#### Returns

the “wfd-ies” property of the setting.

[transfer none]

Since: 1.16

## Types and Values

### NM_SETTING_WIFI_P2P_SETTING_NAME

    #define NM_SETTING_WIFI_P2P_SETTING_NAME "wifi-p2p"

### NM_SETTING_WIFI_P2P_PEER

    #define NM_SETTING_WIFI_P2P_PEER       "peer"

The mac address of the peer to connect to.

### NM_SETTING_WIFI_P2P_WPS_METHOD

    #define NM_SETTING_WIFI_P2P_WPS_METHOD "wps-method"

### NM_SETTING_WIFI_P2P_WFD_IES

    #define NM_SETTING_WIFI_P2P_WFD_IES    "wfd-ies"